#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Spiffy
%define		pnam	Spiffy
Summary:	Spiffy - Spiffy Perl Interface Framework For You
Summary(pl.UTF-8):	Spiffy - szkielet interfejsu perlowego dla ciebie
Name:		perl-Spiffy
Version:	0.31
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/I/IN/INGY/%{pnam}-%{version}.tar.gz
# Source0-md5:	53cfd4e915715e6dac912469af3d71a0
URL:		http://search.cpan.org/dist/Spiffy/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
"Spiffy" is a Perl module interface methodology and framework. It is a
base class for implementing other Perl modules using author's favorite
tricks.

%description -l pl.UTF-8
"Spiffy" (Spiffy Perl Interface Framework For You, czyli szkielet
interfejsu perlowego dla ciebie) to metodologia i szkielet interfejsu
modułu Perla. Jest to klasa bazowa do implementowania innych modułów
Perla przy użyciu ulubionych sztuczek autora.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Spiffy.pod
rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/auto/Spiffy/.packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Spiffy.pm
%{perl_vendorlib}/Spiffy
%{_mandir}/man3/Spiffy*.3pm*
%changelog
* Sat Jun 22 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Spiffy.git;a=log;h=master

* Sat Jun 22 2013 Jakub Bogusz <qboosh@pld-linux.org> 172dbe4
- updated to 0.31

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 61a6121
- rel 3

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 006a822
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> ccde224
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 93054e8
- converted to UTF-8

* Tue Jul 25 2006 Elan Ruusamäe <glen@pld-linux.org> b53be3c
- check-files cleanup

* Thu Feb 02 2006 Jakub Bogusz <qboosh@pld-linux.org> 52876f0
- (generic) URL

* Mon Jan 30 2006 migo <migo@pld-linux.org> 2cf7c50
- up to 0.30

* Sat Jul 23 2005 radek <radek@pld-linux.org> 9452173
- version 0.24

* Mon Dec 27 2004 Adam Gołębiowski <adamg@pld-linux.org> f5f6820
- updated to 0.21

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> b33efc1
- formatting

* Fri Aug 13 2004 Adam Gołębiowski <adamg@pld-linux.org> 3f7c51b
- updated to 0.20

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> ebe7304
- updated to 0.19

* Sun May 09 2004 Adam Gołębiowski <adamg@pld-linux.org> fb1c56b
- updated to 0.16

* Sun May 02 2004 ankry <ankry@pld-linux.org> b5ecd5e
- license fix, cosmetics

* Thu Apr 15 2004 ankry <ankry@pld-linux.org> 2158ca6
- cosmetics, unification

* Sun Mar 28 2004 Adam Gołębiowski <adamg@pld-linux.org> a28ffd9
- updated to 0.15

* Thu Mar 18 2004 Jakub Bogusz <qboosh@pld-linux.org> c5c4e14
- pl, removed template changelog

* Wed Mar 17 2004 migo <migo@pld-linux.org> be7d850
- initial revision

